Public Member Functions | Private Attributes

# AirportTileTableIterator Class Reference

Iterator to iterate over all tiles belonging to an airport spec. More...

`#include <newgrf_airport.h>`

Inheritance diagram for AirportTileTableIterator:

## Public Member Functions
| AirportTileTableIterator (const AirportTileTable *att, TileIndex base_tile)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
StationGfx | GetStationGfx () const
| Get the StationGfx for the current tile.
virtual AirportTileTableIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
## Private Attributes
const AirportTileTable * | att
| The offsets.
TileIndex | base_tile
| The tile we base the offsets off.

## Detailed Description

Iterator to iterate over all tiles belonging to an airport spec.

Definition at line 31 of file newgrf_airport.h.

## Constructor & Destructor Documentation

AirportTileTableIterator::AirportTileTableIterator | ( | const AirportTileTable * | att,
|  | TileIndex | base_tile |
| ) |  |  | `[inline]`

Construct the iterator.

Parameters:

  | att | The TileTable we want to iterate over.
  | base_tile | The basetile for all offsets.

Definition at line 42 of file newgrf_airport.h.

Referenced by Clone().

## Member Function Documentation

StationGfx AirportTileTableIterator::GetStationGfx | ( |  | ) | const`[inline]`

Get the StationGfx for the current tile.

Definition at line 58 of file newgrf_airport.h.

References att, and AirportTileTable::gfx.

Referenced by CmdBuildAirport().

The documentation for this class was generated from the following file:

- src/newgrf_airport.h